Debian Bug report logs - #633677
RFP: isis -- I/O framework for neuroimaging data

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Hanke <mih@debian.org>

Date: Tue, 12 Jul 2011 19:51:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#633677; Package wnpp. (Tue, 12 Jul 2011 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Tue, 12 Jul 2011 19:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: isis -- I/O framework for neuroimaging data
Date: Tue, 12 Jul 2011 15:46:52 -0400
Package: wnpp
Severity: wishlist
Owner: NeuroDebian Team <team@neuro.debian.net>

* Package name    : isis
  Version         : 0.3.3
  Upstream Author : Lydia Hellrung (hellrung@cbs.mpg.de) et al.
* URL             : http://isis-group.github.com/isis/
* License         : GPL-2+
  Programming Lang: C++
  Description     : I/O framework for neuroimaging data
 This framework aids access of and conversion between various established
 neuro-imaging data formats, like  Nifti, Analyze, DICOM and VISTA. ISIS
 is extensible with plugins to add support for additional data formats.

This IO framework is the base of the lipsia package and may also become
adopted by odin (both in Debian main). The completion of this packaging
effort is a prerequisite for updating the lipsia package to the latest
upstream release.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#633677; Package wnpp. (Thu, 09 Feb 2012 08:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Thu, 09 Feb 2012 08:42:07 GMT) Full text and rfc822 format available.

Message #10 received at 633677@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Debian Release Team <debian-release@lists.debian.org>
Cc: yoh@debian.org, 613337@bugs.debian.org, 633677@bugs.debian.org
Subject: libvia transition
Date: Thu, 9 Feb 2012 09:38:51 +0100
Dear Release Team,

I will upload a new SO version of LIBVIA shortly. Right now only ODIN
and LIPSIA use this library. The LIBVIA dependency of ODIN will be
dropped by the next upload (few more days). LIPSIA is currently totally
broken (#613337) and will be replaced with a new major version (probably
within the next 2-3 weeks). Before this can happen I need to upload a
new library package (ISIS; ITP #633677) that serves as the IO layer of
the new LIPSIA version, and a couple of upcoming packages. ISIS will
depend on the new VIA version.

As this transistion is a tiny one and all affected packages are
maintained by the NeuroDebian team I think that it would neither cause
trouble, nor do we need assistance.

Please let me know if I overlooked something and we should not do this
at this point.


Michael


-- 
Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#633677; Package wnpp. (Sun, 04 Mar 2012 22:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Sun, 04 Mar 2012 22:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 633677@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 613337@bugs.debian.org, 633677@bugs.debian.org
Subject: Re: libvia transition
Date: Sun, 4 Mar 2012 23:17:56 +0100
[Message part 1 (text/plain, inline)]
Hi Michael,

On Thu, Feb  9, 2012 at 09:38:51 +0100, Michael Hanke wrote:

> Dear Release Team,
> 
> I will upload a new SO version of LIBVIA shortly. Right now only ODIN
> and LIPSIA use this library. The LIBVIA dependency of ODIN will be
> dropped by the next upload (few more days).

how many is "few"? :)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#633677; Package wnpp. (Mon, 05 Mar 2012 08:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Mon, 05 Mar 2012 08:51:11 GMT) Full text and rfc822 format available.

Message #20 received at 633677@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Julien Cristau <jcristau@debian.org>, 613337@bugs.debian.org
Cc: Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 633677@bugs.debian.org
Subject: Re: Bug#613337: libvia transition
Date: Mon, 5 Mar 2012 09:49:16 +0100
Hi,

On Sun, Mar 04, 2012 at 11:17:56PM +0100, Julien Cristau wrote:
> On Thu, Feb  9, 2012 at 09:38:51 +0100, Michael Hanke wrote:
> > I will upload a new SO version of LIBVIA shortly. Right now only ODIN
> > and LIPSIA use this library. The LIBVIA dependency of ODIN will be
> > dropped by the next upload (few more days).
> 
> how many is "few"? :)

Thanks for moving this upwards on my TODO list. Of course things turned
out to be more complicated. New upstream version had some issues,
upstream needs more time, now libpng transition needs to be dealt with
for ODIN. If am lucky I can do all this sometime today. If not, I will
need few more days (TM) ;-)

Cheers,

Michael

-- 
Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#633677; Package wnpp. (Mon, 05 Mar 2012 08:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Mon, 05 Mar 2012 08:57:15 GMT) Full text and rfc822 format available.

Message #25 received at 633677@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 613337@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 633677@bugs.debian.org
Subject: Re: Bug#613337: libvia transition
Date: Mon, 5 Mar 2012 09:53:18 +0100
On Mon, Mar  5, 2012 at 09:49:16 +0100, Michael Hanke wrote:

> Hi,
> 
> On Sun, Mar 04, 2012 at 11:17:56PM +0100, Julien Cristau wrote:
> > On Thu, Feb  9, 2012 at 09:38:51 +0100, Michael Hanke wrote:
> > > I will upload a new SO version of LIBVIA shortly. Right now only ODIN
> > > and LIPSIA use this library. The LIBVIA dependency of ODIN will be
> > > dropped by the next upload (few more days).
> > 
> > how many is "few"? :)
> 
> Thanks for moving this upwards on my TODO list. Of course things turned
> out to be more complicated. New upstream version had some issues,
> upstream needs more time, now libpng transition needs to be dealt with
> for ODIN. If am lucky I can do all this sometime today. If not, I will
> need few more days (TM) ;-)
> 
I don't think you need to do anything for libpng just yet FWIW.  But
thanks for the update.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#633677; Package wnpp. (Mon, 05 Mar 2012 09:34:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Mon, 05 Mar 2012 09:34:11 GMT) Full text and rfc822 format available.

Message #30 received at 633677@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Julien Cristau <jcristau@debian.org>, 613337@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 633677@bugs.debian.org
Subject: Re: Bug#613337: libvia transition
Date: Mon, 5 Mar 2012 10:20:41 +0100
On Mon, Mar 05, 2012 at 09:49:16AM +0100, Michael Hanke wrote:
> Thanks for moving this upwards on my TODO list. Of course things turned
> out to be more complicated. New upstream version had some issues,
> upstream needs more time, now libpng transition needs to be dealt with
> for ODIN. If am lucky I can do all this sometime today. If not, I will
> need few more days (TM) ;-)

I prepared an upload that only deals with the via-transition for now.
However, it doesn't build in unstable due to:

The following packages have unmet dependencies:
  libvtk5.8: Depends: libnetcdf6 which is a virtual package.

libnetcdf6 is a transitional package and VTK could use a rebuild. VTK
Git shows a new package upload is coming, but it hasn't arrived yet.
Changelog:

vtk (5.8.0-7) unstable; urgency=low

  * Prepare vtk for move to multi-arch (png,tiff,z,jpeg). Closes: #661676
  * Bump to Std-Vers: 3.9.3, no changes needed.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 04 Mar 2012 21:54:19 +0100


I guess this will resolve itself in a few days -- which I'll use to look
into the png-transition for ODIN.

Michael

-- 
Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#633677; Package wnpp. (Mon, 27 May 2013 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, NeuroDebian Team <team@neuro.debian.net>. (Mon, 27 May 2013 13:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 633677@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 633677@bugs.debian.org
Cc: control@bugs.debian.org
Subject: isis: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:24 +0200
retitle 633677 RFP: isis -- I/O framework for neuroimaging data
noowner 633677
tag 633677 - pending
thanks

Hi,

This is an automatic email to change the status of isis back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting isis, please send a mail to
<control@bugs.debian.org> with:

 retitle 633677 ITP: isis -- I/O framework for neuroimaging data
 owner 633677 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <633677@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: isis -- I/O framework for neuroimaging data' from 'ITP: isis -- I/O framework for neuroimaging data' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:52:46 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by NeuroDebian Team <team@neuro.debian.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:52:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:15:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.